curl -X DELETE "https://app.runtm.com/api/v0/deployments/dep_abc123xyz/domains/api.example.com" \
-H "Authorization: Bearer runtm_xxx"
import requests
response = requests.delete(
"https://app.runtm.com/api/v0/deployments/dep_abc123xyz/domains/api.example.com",
headers={"Authorization": "Bearer runtm_xxx"}
)
data = response.json()
if data["success"]:
print(f"✓ {data['message']}")
else:
print(f"✗ {data['message']}")
const response = await fetch(
"https://app.runtm.com/api/v0/deployments/dep_abc123xyz/domains/api.example.com",
{
method: "DELETE",
headers: {
"Authorization": "Bearer runtm_xxx"
}
}
);
const data = await response.json();
if (data.success) {
console.log(`✓ ${data.message}`);
} else {
console.log(`✗ ${data.message}`);
}
{
"success": true,
"message": "Domain api.example.com removed successfully"
}
{
"detail": {
"error": "Deployment not found",
"deployment_id": "dep_invalid"
}
}
Domains
Remove Domain
Remove a custom domain from a deployment
DELETE
/
v0
/
deployments
/
{deployment_id}
/
domains
/
{hostname}
curl -X DELETE "https://app.runtm.com/api/v0/deployments/dep_abc123xyz/domains/api.example.com" \
-H "Authorization: Bearer runtm_xxx"
import requests
response = requests.delete(
"https://app.runtm.com/api/v0/deployments/dep_abc123xyz/domains/api.example.com",
headers={"Authorization": "Bearer runtm_xxx"}
)
data = response.json()
if data["success"]:
print(f"✓ {data['message']}")
else:
print(f"✗ {data['message']}")
const response = await fetch(
"https://app.runtm.com/api/v0/deployments/dep_abc123xyz/domains/api.example.com",
{
method: "DELETE",
headers: {
"Authorization": "Bearer runtm_xxx"
}
}
);
const data = await response.json();
if (data.success) {
console.log(`✓ ${data.message}`);
} else {
console.log(`✗ ${data.message}`);
}
{
"success": true,
"message": "Domain api.example.com removed successfully"
}
{
"detail": {
"error": "Deployment not found",
"deployment_id": "dep_invalid"
}
}
Remove a custom domain from a deployment. This deletes the certificate and domain configuration.
Path Parameters
string
required
The deployment ID (e.g.,
dep_abc123xyz)string
required
The custom domain hostname to remove (e.g.,
api.example.com)Response
boolean
Whether the domain was successfully removed
string
Status message
curl -X DELETE "https://app.runtm.com/api/v0/deployments/dep_abc123xyz/domains/api.example.com" \
-H "Authorization: Bearer runtm_xxx"
import requests
response = requests.delete(
"https://app.runtm.com/api/v0/deployments/dep_abc123xyz/domains/api.example.com",
headers={"Authorization": "Bearer runtm_xxx"}
)
data = response.json()
if data["success"]:
print(f"✓ {data['message']}")
else:
print(f"✗ {data['message']}")
const response = await fetch(
"https://app.runtm.com/api/v0/deployments/dep_abc123xyz/domains/api.example.com",
{
method: "DELETE",
headers: {
"Authorization": "Bearer runtm_xxx"
}
}
);
const data = await response.json();
if (data.success) {
console.log(`✓ ${data.message}`);
} else {
console.log(`✗ ${data.message}`);
}
{
"success": true,
"message": "Domain api.example.com removed successfully"
}
{
"detail": {
"error": "Deployment not found",
"deployment_id": "dep_invalid"
}
}
After removing a domain, remember to also delete the DNS record at your domain registrar.